Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 12317109: Add a dialog for getting user consent in the echo redeem flow. (Closed)

Created:
5 years, 4 months ago by tbarzic
Modified:
3 weeks, 2 days ago
Reviewers:
msw, oscarpan1, sky
CC:
chromium-reviews
Visibility:
Public.

Description

Add a dialog for getting user consent in the echo redeem flow. The dialog should have different content depending on whether the echo flow is enabled or not. BUG=175070, 176979 TEST=none (the code utilizing the dialog hasn't landed yet) (tested the dialog is shown properly with few local changes) Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=188957

Patch Set 1 #

Total comments: 24

Patch Set 2 : adressed tfarina's comments #

Patch Set 3 : forgot to add echo_dialog_listener file #

Total comments: 11

Patch Set 4 : . #

Total comments: 6

Patch Set 5 : . #

Patch Set 6 : . #

Total comments: 2

Patch Set 7 : . #

Unified diffs Side-by-side diffs Delta from patch set Stats (+294 lines, -5 lines) Patch
M chrome/app/chromeos_strings.grdp View 1 2 3 1 chunk +8 lines, -5 lines 0 comments Download
A chrome/browser/chromeos/ui/echo_dialog_listener.h View 1 2 3 1 chunk +32 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/ui/echo_dialog_view.h View 1 2 3 4 5 1 chunk +83 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/ui/echo_dialog_view.cc View 1 2 3 4 5 1 chunk +166 lines, -0 lines 0 comments Download
M chrome/chrome_browser_chromeos.gypi View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
M ui/views/controls/styled_label_listener.h View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 16 (0 generated)
tbarzic
sky, msw, can you take a look a this? oscarpan: fyi
5 years, 4 months ago (2013-02-26 18:55:53 UTC) #1
tfarina
https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/echo_dialog_chromeos.h File chrome/browser/ui/echo_dialog_chromeos.h (right): https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/echo_dialog_chromeos.h#newcode23 chrome/browser/ui/echo_dialog_chromeos.h:23: class Listener { no nested class. Please, put this ...
5 years, 4 months ago (2013-02-26 19:13:00 UTC) #2
tfarina
https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/views/echo_dialog_views_chromeos.h File chrome/browser/ui/views/echo_dialog_views_chromeos.h (right): https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/views/echo_dialog_views_chromeos.h#newcode8 chrome/browser/ui/views/echo_dialog_views_chromeos.h:8: #include "base/memory/scoped_ptr.h" you don't need this include, instead include ...
5 years, 4 months ago (2013-02-26 19:16:49 UTC) #3
tfarina
https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/views/echo_dialog_views_chromeos.cc File chrome/browser/ui/views/echo_dialog_views_chromeos.cc (right): https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/views/echo_dialog_views_chromeos.cc#newcode13 chrome/browser/ui/views/echo_dialog_views_chromeos.cc:13: #include "ui/views/controls/link_listener.h" already included in the header file. https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/views/echo_dialog_views_chromeos.cc#newcode31 ...
5 years, 4 months ago (2013-02-26 19:22:57 UTC) #4
tbarzic
https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/echo_dialog_chromeos.h File chrome/browser/ui/echo_dialog_chromeos.h (right): https://chromiumcodereview.appspot.com/12317109/diff/1/chrome/browser/ui/echo_dialog_chromeos.h#newcode23 chrome/browser/ui/echo_dialog_chromeos.h:23: class Listener { On 2013/02/26 19:13:00, tfarina wrote: > ...
5 years, 4 months ago (2013-02-26 19:34:55 UTC) #5
sky
https://chromiumcodereview.appspot.com/12317109/diff/12002/chrome/browser/ui/echo_dialog_chromeos.h File chrome/browser/ui/echo_dialog_chromeos.h (right): https://chromiumcodereview.appspot.com/12317109/diff/12002/chrome/browser/ui/echo_dialog_chromeos.h#newcode5 chrome/browser/ui/echo_dialog_chromeos.h:5: #ifndef CHROME_BROWSER_UI_ECHO_DIALOG_CHROMEOS_H_ Is there a reason this file is ...
5 years, 4 months ago (2013-02-26 21:28:48 UTC) #6
tbarzic
https://chromiumcodereview.appspot.com/12317109/diff/12002/chrome/browser/ui/echo_dialog_chromeos.h File chrome/browser/ui/echo_dialog_chromeos.h (right): https://chromiumcodereview.appspot.com/12317109/diff/12002/chrome/browser/ui/echo_dialog_chromeos.h#newcode5 chrome/browser/ui/echo_dialog_chromeos.h:5: #ifndef CHROME_BROWSER_UI_ECHO_DIALOG_CHROMEOS_H_ On 2013/02/26 21:28:48, sky wrote: > Is ...
5 years, 4 months ago (2013-02-26 23:08:50 UTC) #7
sky
https://chromiumcodereview.appspot.com/12317109/diff/12002/chrome/browser/ui/views/echo_dialog_views_chromeos.cc File chrome/browser/ui/views/echo_dialog_views_chromeos.cc (right): https://chromiumcodereview.appspot.com/12317109/diff/12002/chrome/browser/ui/views/echo_dialog_views_chromeos.cc#newcode78 chrome/browser/ui/views/echo_dialog_views_chromeos.cc:78: class EchoDialogContentView : public views::View { 2013/02/26 23:08:50, tbarzic ...
5 years, 4 months ago (2013-02-27 00:38:35 UTC) #8
tfarina
On 2013/02/27 00:38:35, sky wrote: > I'll see if I can concoct something for views. ...
5 years, 4 months ago (2013-02-27 00:42:08 UTC) #9
tbarzic
PTAL https://codereview.chromium.org/12317109/diff/12002/chrome/browser/ui/echo_dialog_chromeos.h File chrome/browser/ui/echo_dialog_chromeos.h (right): https://codereview.chromium.org/12317109/diff/12002/chrome/browser/ui/echo_dialog_chromeos.h#newcode5 chrome/browser/ui/echo_dialog_chromeos.h:5: #ifndef CHROME_BROWSER_UI_ECHO_DIALOG_CHROMEOS_H_ On 2013/02/26 23:08:50, tbarzic wrote: > ...
5 years, 4 months ago (2013-03-18 18:21:58 UTC) #10
sky
https://codereview.chromium.org/12317109/diff/13001/chrome/browser/chromeos/ui/echo_dialog_view.cc File chrome/browser/chromeos/ui/echo_dialog_view.cc (right): https://codereview.chromium.org/12317109/diff/13001/chrome/browser/chromeos/ui/echo_dialog_view.cc#newcode22 chrome/browser/chromeos/ui/echo_dialog_view.cc:22: 350 + kDialogContentLeftInset + kDialogContentRightInset; Shouldn't the 350 be ...
5 years, 4 months ago (2013-03-18 19:32:38 UTC) #11
tbarzic
https://codereview.chromium.org/12317109/diff/13001/chrome/browser/chromeos/ui/echo_dialog_view.cc File chrome/browser/chromeos/ui/echo_dialog_view.cc (right): https://codereview.chromium.org/12317109/diff/13001/chrome/browser/chromeos/ui/echo_dialog_view.cc#newcode22 chrome/browser/chromeos/ui/echo_dialog_view.cc:22: 350 + kDialogContentLeftInset + kDialogContentRightInset; On 2013/03/18 19:32:39, sky ...
5 years, 4 months ago (2013-03-18 20:40:03 UTC) #12
sky
LGTM https://codereview.chromium.org/12317109/diff/20007/chrome/chrome_browser_chromeos.gypi File chrome/chrome_browser_chromeos.gypi (right): https://codereview.chromium.org/12317109/diff/20007/chrome/chrome_browser_chromeos.gypi#newcode713 chrome/chrome_browser_chromeos.gypi:713: 'browser/chromeos/ui/idle_logout_dialog_view.h', Remove this line.
5 years, 4 months ago (2013-03-18 22:00:47 UTC) #13
tbarzic
https://codereview.chromium.org/12317109/diff/20007/chrome/chrome_browser_chromeos.gypi File chrome/chrome_browser_chromeos.gypi (right): https://codereview.chromium.org/12317109/diff/20007/chrome/chrome_browser_chromeos.gypi#newcode713 chrome/chrome_browser_chromeos.gypi:713: 'browser/chromeos/ui/idle_logout_dialog_view.h', On 2013/03/18 22:00:47, sky wrote: > Remove this ...
5 years, 4 months ago (2013-03-18 22:36:08 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tbarzic@chromium.org/12317109/24001
5 years, 4 months ago (2013-03-19 00:35:28 UTC) #15
commit-bot: I haz the power
5 years, 4 months ago (2013-03-19 09:27:53 UTC) #16
Message was sent while issue was closed.
Change committed as 188957

Powered by Google App Engine
This is Rietveld 408576698